Liveness Probe
curl --request GET \
--url http://{host}:{port}/healthzimport requests
url = "http://{host}:{port}/healthz"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('http://{host}:{port}/healthz', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"timestamp": "2026-03-19T15:00:00Z"
}
Health
Health Endpoints
Liveness and readiness probes for the AIOps operator — used by Kubernetes to determine pod health
GET
/
healthz
Liveness Probe
Liveness Check
GET /healthz
200 OK if the operator process is running. No authentication required.
{
"status": "ok",
"timestamp": "2026-03-19T15:00:00Z"
}
Readiness Check
GET /readyz
200 OK if the operator can reach the Kubernetes API server. Returns 503 if not ready.
{
"status": "ready",
"timestamp": "2026-03-19T15:00:00Z"
}
{
"status": "not ready: failed to list namespaces: connection refused",
"timestamp": "2026-03-19T15:00:00Z"
}
⌘I